API Reference
Create a trust attachment upload intent for an unscoped release
POST
/
api
/
v1
/
volumes
/
{name}
/
{version}
/
trust
/
uploads
Create a trust attachment upload intent for an unscoped release
curl --request POST \
--url https://api.example.com/api/v1/volumes/{name}/{version}/trust/uploads \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"subject": {
"purl": "<string>",
"integrity": "<string>"
},
"attachment": {
"format": {
"family": "<string>",
"mediaType": "<string>",
"predicateType": "<string>",
"profile": "<string>",
"version": "<string>"
}
},
"declaredDigest": "<string>",
"declaredSize": 1
}
'import requests
url = "https://api.example.com/api/v1/volumes/{name}/{version}/trust/uploads"
payload = {
"subject": {
"purl": "<string>",
"integrity": "<string>"
},
"attachment": { "format": {
"family": "<string>",
"mediaType": "<string>",
"predicateType": "<string>",
"profile": "<string>",
"version": "<string>"
} },
"declaredDigest": "<string>",
"declaredSize": 1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
subject: {purl: '<string>', integrity: '<string>'},
attachment: {
format: {
family: '<string>',
mediaType: '<string>',
predicateType: '<string>',
profile: '<string>',
version: '<string>'
}
},
declaredDigest: '<string>',
declaredSize: 1
})
};
fetch('https://api.example.com/api/v1/volumes/{name}/{version}/trust/uploads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"uploadId": "<string>",
"subject": {
"purl": "<string>",
"integrity": "<string>"
},
"attachment": {
"format": {
"family": "<string>",
"mediaType": "<string>",
"predicateType": "<string>",
"profile": "<string>",
"version": "<string>"
}
},
"declaredDigest": "<string>",
"upload": {
"instructionType": "<string>",
"url": "<string>",
"method": "<string>",
"headers": {}
},
"expiresAt": "2023-11-07T05:31:56Z",
"declaredSize": 1,
"idempotencyKey": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Preferred portable idempotency key. If this header and a body idempotencyKey are both present, they MUST match exactly.
Path Parameters
Maximum string length:
128Pattern:
^(?!.*--)[a-z0-9](?:[a-z0-9-]*[a-z0-9])?$Pattern:
^(0|[1-9]\d*)\.(0|[1-9]\d*)\.(0|[1-9]\d*)(?:-((?:0|[1-9]\d*|\d*[A-Za-z-][0-9A-Za-z-]*)(?:\.(?:0|[1-9]\d*|\d*[A-Za-z-][0-9A-Za-z-]*))*))?(?:\+([0-9A-Za-z-]+(?:\.[0-9A-Za-z-]+)*))?$Body
application/json
Response
Upload intent created. Upload instructions are opaque implementation data.
Minimum string length:
1Show child attributes
Show child attributes
Show child attributes
Show child attributes
Pattern:
^sha256:[a-f0-9]{64}$Show child attributes
Show child attributes
Available options:
pending-upload, uploading, uploaded, expired, failed Required range:
x >= 0⌘I
Create a trust attachment upload intent for an unscoped release
